import { jsx } from "react/jsx-runtime";
import { SignOut as SignOut$1 } from "@phosphor-icons/react/dist/ssr";
import { forwardRef } from "react";
import { ExperimentalIcon } from "../experimental/Icon.js";
const SignOut = forwardRef(
  ({ variant = "regular", ...props }, ref) => {
    return /* @__PURE__ */ jsx(ExperimentalIcon, { ref, "data-name": "SignOut", ...props, children: /* @__PURE__ */ jsx(SignOut$1, { weight: variant }) });
  }
);
SignOut.displayName = "SignOut";
Object.assign(SignOut, { isGdsIcon: true });
export {
  SignOut
};
